import path from 'path';
import fetch from 'isomorphic-fetch';
import Link from 'next/link';

const Album = ({ content, images, album, url }) => (
  <div>
    <h1>{content.title}</h1>
    <hr />
    &laquo;{' '}
    <Link href="/">
      <a>Home</a>
    </Link>
    <hr />
    <div dangerouslySetInnerHTML={{ __html: content.body }} />
    <ul>
      {images.map(({ fileName, detailLinkProps, meta }) => (
        <li key={fileName}>
          <figure>
            <Link {...detailLinkProps}>
              <a>
                <img
                  src={`/static/albums/${url.query.album}/${fileName}`}
                  alt={meta.object_name}
                  style={{ maxWidth: '100%' }}
                />
              </a>
            </Link>
            <figcaption>{meta.object_name}</figcaption>
          </figure>
        </li>
      ))}
    </ul>
  </div>
);

Album.getInitialProps = async ({ query, req }) => {
  const host = Boolean(req) ? 'http://localhost:3000' : '';
  const { album } = query;
  const res = await fetch(`${host}/${path.join('data/albums', album)}.json`);
  return await res.json();
};

export default Album;
