import path from 'path';
import fetch from 'isomorphic-fetch';
import Link from 'next/link';

const Default = ({ meta, body }) => (<div>
    <h1>
        <Link href="/">
            <a>{meta.title}</a>
        </Link>
    </h1>
    <p dangerouslySetInnerHTML={{ __html: body }} />
</div>);

Default.getInitialProps = async ({ asPath, req }) => {
    const host = Boolean(req) ? 'http://localhost:3000' : '';
    const url = `${host}/${path.join('data', asPath.replace(/\/?$/, ''))}.json`;
    const res = await fetch(url);
    return await res.json();
};

export default Default;