import fetch from 'isomorphic-fetch';
import Head from 'next/head';
import Link from 'next/link';

const Index = ({ content, albums }) => (
  <div>
    <Head>
      <title>Simple example :: phox</title>
    </Head>
    <div>
      <h1>{content.meta.title}</h1>
      <div dangerouslySetInnerHTML={{ __html: content.body }} />
      <hr />
      <ul>
        {albums.map(({ title, linkProps }, i) => (
          <li key={i}>
            <Link {...linkProps}>
              <a>{title}</a>
            </Link>
          </li>
        ))}
      </ul>
      <hr />
      <p>
        [<Link href="/default" as="/about/">
          <a>About</a>
        </Link>]
      </p>
    </div>
  </div>
);

Index.getInitialProps = async ({ req }) => {
  // Only use complete URL on the server-side
  const host = Boolean(req) ? 'http://localhost:3000' : '';
  const res = await fetch(`${host}/data/index.json`);
  return await res.json();
};

export default Index;

/*
Snowy heights

Facundo Loza

Photo by [Facundo Loza](https://unsplash.com/photos/59t5omyjMEk) on [Unsplash](https://unsplash.com/)

mountain, snow, nature, landscape
*/
